Commit 317cd9e4 authored by Guillaume Desmottes's avatar Guillaume Desmottes

pc: add gudev and cheese as Requires if needed

https://bugzilla.gnome.org/show_bug.cgi?id=710919
parent c8655024
......@@ -256,6 +256,13 @@ $UDEV_PKG_ERRORS])
fi
AM_CONDITIONAL(HAVE_UDEV, test "x$have_gudev" = "xyes")
if test x${have_gudev} = x"yes" ; then
REQUIRE_UDEV=", gudev-1.0"
else
REQUIRE_UDEV=""
fi
AC_SUBST(REQUIRE_UDEV)
# -----------------------------------------------------------
# Cheese (optional dependency for avatar selection)
# -----------------------------------------------------------
......@@ -279,6 +286,13 @@ else
fi
AM_CONDITIONAL(BUILD_CHEESE, test x${have_cheese} = xyes)
if test x${have_cheese} = x"yes" ; then
REQUIRE_CHEESE=", cheese-gtk"
else
REQUIRE_CHEESE=""
fi
AC_SUBST(REQUIRE_CHEESE)
# -----------------------------------------------------------
# ubuntu-online-accounts support
# -----------------------------------------------------------
......
......@@ -8,6 +8,6 @@ uoa_provider=@TPAW_UOA_PROVIDER@
Name: telepathy-account-widgets (uninstalled copy)
Description: Widgets and utility functions for configuring Telepathy accounts
Version: @VERSION@
Requires: pkg-config >= 0.21, glib-2.0 >= 2.33.3, gobject-2.0 >= 2.33.3, gtk+-3.0 >= 3.5.1, telepathy-glib >= 0.19.9, libxml-2.0, libsecret-1 >= 0.5
Requires: pkg-config >= 0.21, glib-2.0 >= 2.33.3, gobject-2.0 >= 2.33.3, gtk+-3.0 >= 3.5.1, telepathy-glib >= 0.19.9, libxml-2.0, libsecret-1 >= 0.5@REQUIRE_CHEESE@@REQUIRE_UDEV@
Libs: ${abs_top_builddir}/tp-account-widgets/libtp-account-widgets.la
Cflags: -I${abs_top_srcdir} -I${abs_top_builddir}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment